Create a vehicle
POST
https://api.expirationreminder.com/v1/vehiclesRequest Body
| Property | Type | Required | Description |
|---|---|---|---|
id |
string (uuid) |
No | - |
name |
string |
No | - |
vin |
string |
No | - |
license_plate |
string |
No | - |
year |
integer (int32) |
No | - |
make |
string |
No | - |
model |
string |
No | - |
trim |
string |
No | - |
color |
string |
No | - |
body_type |
string |
No | - |
registration_province |
string |
No | - |
msrp |
number (double) |
No | - |
primary_meter_type_id |
integer (int32) |
No | - |
primary_meter_reading |
integer (int32) |
No | - |
ownership_id |
integer (int32) |
No | - |
status_id |
string (uuid) |
No | - |
folder_id |
string (uuid) |
No | - |
location_id |
string (uuid) |
No | - |
type_id |
string (uuid) |
No | - |
vehicle_fuel_type_id |
string (uuid) |
No | - |
assigned_to_contact_id |
string (uuid) |
No | - |
assigned_to |
UserModel |
No | - |
team_id |
string (uuid) |
No | - |
is_archived |
boolean |
No | - |
modified |
string |
No | - |
custom_fields |
CustomFieldModel[] |
No | - |
Sample Request
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"vin": "string",
"license_plate": "string",
"year": 0,
"make": "string",
"model": "string",
"trim": "string",
"color": "string",
"body_type": "string",
"registration_province": "string",
"msrp": 0.0,
"primary_meter_type_id": 0,
"primary_meter_reading": 0,
"ownership_id": 0,
"status_id": "00000000-0000-0000-0000-000000000000",
"folder_id": "00000000-0000-0000-0000-000000000000",
"location_id": "00000000-0000-0000-0000-000000000000",
"type_id": "00000000-0000-0000-0000-000000000000",
"vehicle_fuel_type_id": "00000000-0000-0000-0000-000000000000",
"assigned_to_contact_id": "00000000-0000-0000-0000-000000000000",
"assigned_to": {
"name": "string",
"email": "string",
"id": "00000000-0000-0000-0000-000000000000",
"team_id": "00000000-0000-0000-0000-000000000000"
},
"team_id": "00000000-0000-0000-0000-000000000000",
"is_archived": false,
"modified": "string",
"custom_fields": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"value": "string"
}
]
}POST /v1/vehicles
$ curl https://api.expirationreminder.com/v1/vehicles \
-H "Authorization: Bearer <token>"
Responses
| Property | Type | Description |
|---|---|---|
id |
string (uuid) |
- |
name |
string |
- |
vin |
string |
- |
license_plate |
string |
- |
year |
integer (int32) |
- |
make |
string |
- |
model |
string |
- |
trim |
string |
- |
color |
string |
- |
body_type |
string |
- |
registration_province |
string |
- |
msrp |
number (double) |
- |
primary_meter_type_id |
integer (int32) |
- |
primary_meter_reading |
integer (int32) |
- |
ownership_id |
integer (int32) |
- |
status_id |
string (uuid) |
- |
folder_id |
string (uuid) |
- |
location_id |
string (uuid) |
- |
type_id |
string (uuid) |
- |
vehicle_fuel_type_id |
string (uuid) |
- |
assigned_to_contact_id |
string (uuid) |
- |
assigned_to |
UserModel |
- |
team_id |
string (uuid) |
- |
is_archived |
boolean |
- |
modified |
string |
- |
custom_fields |
CustomFieldModel[] |
- |
Example Response
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"vin": "string",
"license_plate": "string",
"year": 0,
"make": "string",
"model": "string",
"trim": "string",
"color": "string",
"body_type": "string",
"registration_province": "string",
"msrp": 0.0,
"primary_meter_type_id": 0,
"primary_meter_reading": 0,
"ownership_id": 0,
"status_id": "00000000-0000-0000-0000-000000000000",
"folder_id": "00000000-0000-0000-0000-000000000000",
"location_id": "00000000-0000-0000-0000-000000000000",
"type_id": "00000000-0000-0000-0000-000000000000",
"vehicle_fuel_type_id": "00000000-0000-0000-0000-000000000000",
"assigned_to_contact_id": "00000000-0000-0000-0000-000000000000",
"assigned_to": {
"name": "string",
"email": "string",
"id": "00000000-0000-0000-0000-000000000000",
"team_id": "00000000-0000-0000-0000-000000000000"
},
"team_id": "00000000-0000-0000-0000-000000000000",
"is_archived": false,
"modified": "string",
"custom_fields": [
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"value": "string"
}
]
}Bad Request
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}Conflict
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}